> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/configuration-manager/get-compliance-report-backup-history/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Compliance reports totals for a backup POST https://example.itential.io/configuration_manager/compliance_reports/history/backups Content-Type: application/json Compliance Reports totals for a Backup. Reference: https://docs.itential.com/itential-cloud/api-reference/configuration-manager/get-compliance-report-backup-history ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Body (application/json) This endpoint expects an object. - `options` (object, optional) - `treeId` (string, optional) - `version` (string, optional) - `nodePath` (string, optional) - `devices` (list of string, optional) - `backups` (list of string, optional) - `limit` (integer, optional) ## Response ### 200 complianceHistory - `list of object` - `id` (string, optional) - `batchId` (string, optional) - `treeId` (string, optional) - `version` (string, optional) - `nodePath` (string, optional) - `deviceName` (string, optional) - `timestamp` (string, optional) - `totals` (object, optional) - `errors` (integer, optional) - `warnings` (integer, optional) - `infos` (integer, optional) - `passes` (integer, optional) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json {} ``` **Response** ```json [ { "id": "5c35355dbebaa82eaf8113f0", "batchId": "5c35355dbebaa82eaf8113f0", "treeId": "5c35355dbebaa82eaf8113f0", "version": "initial", "nodePath": "base", "deviceName": "xr9kv-atl", "timestamp": "2019-04-12T14:42:47.958Z", "totals": { "errors": 1, "warnings": 1, "infos": 1, "passes": 1 } } ] ``` **SDK Code** ```python import requests url = "https://example.itential.io/configuration_manager/compliance_reports/history/backups" payload = {} headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/configuration_manager/compliance_reports/history/backups'; const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/configuration_manager/compliance_reports/history/backups" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/configuration_manager/compliance_reports/history/backups") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://example.itential.io/configuration_manager/compliance_reports/history/backups") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://example.itential.io/configuration_manager/compliance_reports/history/backups', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/configuration_manager/compliance_reports/history/backups"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/configuration_manager/compliance_reports/history/backups")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```